package com.ruoyi.predict.domain;

/**
 * @author hlf
 * @date 2022/8/5 11:24
 * 文件说明：机组
 */
public class CrewInformation {

    //场站编号
    private Long no;

    //期次编号
    private Long projectNo;

    //集电线编号
    private Long collectorwireNo;

    //机组编号
    private Long unitNo;

    //所属场站
    private String ownStation;

    //所属期次
    private String Period;

    //所属集电线
    private String wireAffiliated;

    //机组代码
    private String unitCode;

    //机组名称
    private String unitName;

    //机组类型
    private String unitType;

    //机组经度
    private Double longtitude;

    //机组纬度
    private Double latitude;

    //海拔高度
    private Double elevation;

    //装机容量MW
    private Double ratedPower;

    //切入风速
    private Double cutInWspeed;

    //切出风速
    private Double cutOutWspeed;

    //额定风速
    private Double ratedWspeed;

    //低温切出
    private Double lTemperature;

    //高温切出
    private Double hTemperature;

    public Long getNo() {
        return no;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getCollectorwireNo() {
        return collectorwireNo;
    }

    public void setCollectorwireNo(Long collectorwireNo) {
        this.collectorwireNo = collectorwireNo;
    }

    public Long getUnitNo() {
        return unitNo;
    }

    public void setUnitNo(Long unitNo) {
        this.unitNo = unitNo;
    }

    public String getOwnStation() {
        return ownStation;
    }

    public void setOwnStation(String ownStation) {
        this.ownStation = ownStation;
    }

    public String getPeriod() {
        return Period;
    }

    public void setPeriod(String period) {
        Period = period;
    }

    public String getWireAffiliated() {
        return wireAffiliated;
    }

    public void setWireAffiliated(String wireAffiliated) {
        this.wireAffiliated = wireAffiliated;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType;
    }

    public Double getLongtitude() {
        return longtitude;
    }

    public void setLongtitude(Double longtitude) {
        this.longtitude = longtitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getElevation() {
        return elevation;
    }

    public void setElevation(Double elevation) {
        this.elevation = elevation;
    }

    public Double getRatedPower() {
        return ratedPower;
    }

    public void setRatedPower(Double ratedPower) {
        this.ratedPower = ratedPower;
    }

    public Double getCutInWspeed() {
        return cutInWspeed;
    }

    public void setCutInWspeed(Double cutInWspeed) {
        this.cutInWspeed = cutInWspeed;
    }

    public Double getCutOutWspeed() {
        return cutOutWspeed;
    }

    public void setCutOutWspeed(Double cutOutWspeed) {
        this.cutOutWspeed = cutOutWspeed;
    }

    public Double getRatedWspeed() {
        return ratedWspeed;
    }

    public void setRatedWspeed(Double ratedWspeed) {
        this.ratedWspeed = ratedWspeed;
    }

    public Double getlTemperature() {
        return lTemperature;
    }

    public void setlTemperature(Double lTemperature) {
        this.lTemperature = lTemperature;
    }

    public Double gethTemperature() {
        return hTemperature;
    }

    public void sethTemperature(Double hTemperature) {
        this.hTemperature = hTemperature;
    }
}
